Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.sys
Class Exportable

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.Exportable

public abstract class Exportable
extends java.lang.Object

Base class for objects exported from teams.

Constructor Summary
`protected` | `Exportable()` Standard Exportable constructor, currently, just caches the owner team pointer.

Method Summary
`ExportManager` | `getAnonymousManager()`
`TeamReservation` | `pushOwnerReservation()` Push a TeamReservation for this objects owner team.
`void` | `returnFromOwner()` Switch the current thread to the previous team context.
`void` | `switchToOwner()` Switch the current thread to the this objects owner team.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Exportable

    protected Exportable()

  Standard Exportable constructor, currently, just caches the owner team pointer.

Method Detail

### getAnonymousManager

    public ExportManager getAnonymousManager()

  Returns:
    The ExportManager thats managing this anonymously exported object.

### switchToOwner

    public void switchToOwner()
                       throws DeadTeamException,
                              TeamEjectionException

  Switch the current thread to the this objects owner team.
  Throws:
    DeadTeamException - if one of the teams involved is dead.
    TeamEjectionException - if this thread was ejected from the team while it was running.

### returnFromOwner

    public void returnFromOwner()

  Switch the current thread to the previous team context.

### pushOwnerReservation

    public TeamReservation pushOwnerReservation()
                                         throws DeadTeamException

  Push a TeamReservation for this objects owner team.
  Returns:
    A TeamReservation referring to the owner.
  Throws:
    A - DeadTeamException if one of the teams involved is dead.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002